org.apache.avro

## Class Resolver.DoNothing

- java.lang.Object
- - org.apache.avro.Resolver.Action
  - - org.apache.avro.Resolver.DoNothing

- Enclosing class:
    Resolver

      public static class Resolver.DoNothing
      extends Resolver.Action

  In this case, there's nothing to be done for resolution: the two schemas are effectively the same. This action will be generated only for primitive types and fixed types, and not for any other kind of schema.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.avro.Resolver.Action

      `Resolver.Action.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.avro.Resolver.Action

      `conversion, logicalType, reader, type, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoNothing(Schema w, Schema r, GenericData d)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoNothing

          public DoNothing(Schema w,
                           Schema r,
                           GenericData d)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.